Installation Problem With Asterisk 1.6

Home » Asterisk Users » Installation Problem With Asterisk 1.6
Asterisk Users 6 Comments

Dear All,

I’m installing the asterisk-1.6.2.24 in CentOS 5.3, whenever i’m running following command
./configure

I got below error:

configure: *** XML documentation will not be available because the
‘libxml2’ development package is missing. configure: *** Please run the ‘configure’ script with the
‘–disable-xmldoc’ parameter option configure: *** or install the ‘libxml2’ development package.

I have installed already libxml2 in current os

Please help me.

Regards Akhilesh

6 thoughts on - Installation Problem With Asterisk 1.6

  • Hi Akhilesh,

    why don’t you just do

    ./configure –disable-xmldoc

    Do you really need the XML doc?

    regards, Ruben

  • Hello, I am working with CentOS 5.3, asterisk 1.6.2.24 and i have downloaded the ilbc codec (all the .h and .c required) but i think the Makefile is not appropriate (it is not even complete as the one of the lpc10). so i got the following error when installing asterisk:

    . make[2]: *** No rule to make target `anaFilter.o’, needed by `libilbc.a’. Stop. make[1]: *** [ilbc/libilbc.a] Error 2 make: *** [codecs] Error 2

    i will really appreciate your help, thank you.

  • Dont enable everything that you see in installation without doing homework.

    Just delete the extracted directory and reextract from tarball n follow the INSTALL.txt peacefully !!!

    Mitul

  • Hello, I am working with CentOS 5.3, asterisk 1.6.2.24 ,Whenever i executemake command, i got the following error when installing asterisk:

    . make[2]: *** No rule to make target `anaFilter.o’, needed by `libilbc.a’. Stop. make[1]: *** [ilbc/libilbc.a] Error 2 make: *** [codecs] Error 2

    i will really appreciate your help, thank you.

    Regards

    Akhilesh